package com.philisense.www.pojos.entity;
import java.util.Date;
import java.math.BigDecimal;
public class ProMenu {

        private String  recordid;
        private String  id;
        private String  text;
        private String  parentid;
        private String  indexs;
        private String  icon;
        private String  sequences;
        private String  href;
        private String  hreftarget;
        private String  enable;
        private String  valid;
        private String  leaf;
        private String  systemid;
        private String  isframe;
        private String  levelcode;
        private String  leaftype;
        private String  cls;
        private String  component;
        private String  i18nname;
        private String  redirect;
        private String  hideinmenu;
        private String  hidechildreninmenu;

        public String  getRecordid() {
        return recordid;
        }

        public void setRecordid(String  recordid) {
        this.recordid = recordid;
        }
        public String  getId() {
        return id;
        }

        public void setId(String  id) {
        this.id = id;
        }
        public String  getText() {
        return text;
        }

        public void setText(String  text) {
        this.text = text;
        }
        public String  getParentid() {
        return parentid;
        }

        public void setParentid(String  parentid) {
        this.parentid = parentid;
        }
        public String  getIndexs() {
        return indexs;
        }

        public void setIndexs(String  indexs) {
        this.indexs = indexs;
        }
        public String  getIcon() {
        return icon;
        }

        public void setIcon(String  icon) {
        this.icon = icon;
        }
        public String  getSequences() {
        return sequences;
        }

        public void setSequences(String  sequences) {
        this.sequences = sequences;
        }
        public String  getHref() {
        return href;
        }

        public void setHref(String  href) {
        this.href = href;
        }
        public String  getHreftarget() {
        return hreftarget;
        }

        public void setHreftarget(String  hreftarget) {
        this.hreftarget = hreftarget;
        }
        public String  getEnable() {
        return enable;
        }

        public void setEnable(String  enable) {
        this.enable = enable;
        }
        public String  getValid() {
        return valid;
        }

        public void setValid(String  valid) {
        this.valid = valid;
        }
        public String  getLeaf() {
        return leaf;
        }

        public void setLeaf(String  leaf) {
        this.leaf = leaf;
        }
        public String  getSystemid() {
        return systemid;
        }

        public void setSystemid(String  systemid) {
        this.systemid = systemid;
        }
        public String  getIsframe() {
        return isframe;
        }

        public void setIsframe(String  isframe) {
        this.isframe = isframe;
        }
        public String  getLevelcode() {
        return levelcode;
        }

        public void setLevelcode(String  levelcode) {
        this.levelcode = levelcode;
        }
        public String  getLeaftype() {
        return leaftype;
        }

        public void setLeaftype(String  leaftype) {
        this.leaftype = leaftype;
        }
        public String  getCls() {
        return cls;
        }

        public void setCls(String  cls) {
        this.cls = cls;
        }
        public String  getComponent() {
        return component;
        }

        public void setComponent(String  component) {
        this.component = component;
        }
        public String  getI18nname() {
        return i18nname;
        }

        public void setI18nname(String  i18nname) {
        this.i18nname = i18nname;
        }
        public String  getRedirect() {
        return redirect;
        }

        public void setRedirect(String  redirect) {
        this.redirect = redirect;
        }
        public String  getHideinmenu() {
        return hideinmenu;
        }

        public void setHideinmenu(String  hideinmenu) {
        this.hideinmenu = hideinmenu;
        }
        public String  getHidechildreninmenu() {
        return hidechildreninmenu;
        }

        public void setHidechildreninmenu(String  hidechildreninmenu) {
        this.hidechildreninmenu = hidechildreninmenu;
        }



}